.header{
    height: 95vh;
    background-image: linear-gradient(
                        to right bottom, 
                        rgba($color-primary-light, 0.75), 
                        rgba($color-primary-dark, 0.75)), 
                    url(../img/hero-small.jpg);
    background-size: cover;
    background-position: top;
    position: relative;

    // In order to support all browsers add a prefix (-webkit) for clip-path > then declare the original clip path
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 80vh, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 80vh, 0 100%);

    // For Img Responsiveness
    @media only screen and (min-resolution: 192dpi) and (min-width: 37.5em),
           only screen and (-webkit-min-device-pixel-ratio: 2) and (min-width: 37.5em), // for Safari Compatibility
           only screen and (min-width: 125em) {
                background-image: linear-gradient(
                                to right bottom, 
                                rgba($color-primary-light, 0.75), 
                                rgba($color-primary-dark, 0.75)), 
                            url(../img/hero.jpg);
    }

    @include respond(tab-port){
        height: 100vh;
        -webkit-clip-path: polygon(0 0, 100% 0, 100% 90vh, 0 100%);
        clip-path: polygon(0 0, 100% 0, 100% 90vh, 0 100%);
    }

    @include respond(phone){
        -webkit-clip-path: polygon(0 0, 100% 0, 100% 90vh, 0 100%);
        clip-path: polygon(0 0, 100% 0, 100% 90vh, 0 100%);
    }


    &__logo-box{
        position: absolute;
        top: 4rem;
        left: 4rem;
    }
    
    &__logo{
        height: 3.5rem;
    }
    
    &__text-box{
        position: absolute;
        top: 40%;
        left: 50%;
    
        /* Make it Centered */
        /* transform translate make the element relative to itself */
        transform: translate(-50%, -50%); /* translate(x, y) */
    
        /* Center all content inside this box including the button */
        text-align: center;
    }
}